From 78a41e6d8367b8e70ca6a9b81ba20c0a86e01ce1 Mon Sep 17 00:00:00 2001
From: llcc <lzhes43@gmail.com>
Date: Fri, 5 Apr 2024 22:07:12 +0800
Subject: [PATCH] Ensure org-table-header displays without cursor inside table

---
 lisp/org-table.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/org-table.el b/lisp/org-table.el
index bd8d59f45..5475b6d42 100644
--- a/lisp/org-table.el
+++ b/lisp/org-table.el
@@ -494,6 +494,7 @@ This may be useful when columns have been shrunk."
           (redisplay)
           (let* ((ws (window-start))
                  (beg (save-excursion
+                        (goto-char ws)
                         (goto-char (org-table-begin))
                         (while (or (org-at-table-hline-p)
                                    (looking-at-p ".*|\\s-+<[rcl]?\\([0-9]+\\)?>"))

base-commit: e9c288dfaccc2960e5b6889e6aabea700ad4e05a
-- 
2.39.3 (Apple Git-146)

